> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getL2ToL1MsgProof

> Retrieves the proof for an L2 to L1 message



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getL2ToL1MsgProof
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getL2ToL1MsgProof:
    post:
      tags:
        - ZKSync API
      summary: zks_getL2ToL1MsgProof
      description: Retrieves the proof for an L2 to L1 message
      operationId: zks_getL2ToL1MsgProof
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getL2ToL1MsgProof
                  description: The RPC method to be invoked
                id:
                  type: integer
                  default: 1
                  description: Request identifier
                params:
                  type: array
                  items: {}
                  description: Parameters for the L2 to L1 message proof
                  default:
                    - 12345
                    - '0x0000000000000000000000000000000000000000'
                    - >-
                      0x0000000000000000000000000000000000000000000000000000000000000000
                  minItems: 3
                  maxItems: 4
            examples:
              example1:
                value:
                  jsonrpc: '2.0'
                  id: 1
                  method: zks_getL2ToL1MsgProof
                  params:
                    - 12345
                    - '0x0000000000000000000000000000000000000000'
                    - >-
                      0x0000000000000000000000000000000000000000000000000000000000000000
      responses:
        '200':
          description: Returns the proof for the L2 to L1 message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/L2ToL1MsgProofResponse'
components:
  schemas:
    L2ToL1MsgProofResponse:
      $ref: ca73edda-0647-4025-a501-ccb0c45dd23a

````